not sure what this is but get error message in<bleachbit command function instance at 0x02acc4e0>

Asked by patrick on 2016-02-05

Error in execution of <bleachbit.Command.Function instance at 0x02BF90D0>

is this normal or is it a bug or fault

Question information

What is the output of:

lsb_release -a; uname -a; apt-cache policy bleachbit

Thanks

Cipto Hadi (ciptohadi79) said : #2

I also have similar problem:
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 14.04.3 LTS
Release: 14.04
Codename: trusty
Linux cipto-laptop 3.19.0-28-generic #30~14.04.1-Ubuntu SMP Tue Sep 1 09:32:55 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
bleachbit:
  Installed: 1.10
  Candidate: 1.10
  Version table:
 *** 1.10 0
        100 /var/lib/dpkg/status

Error in execution of <bleachbit.Command.Function instance at 0x7fc641071098>
Traceback (most recent call last):
  File "/usr/share/bleachbit/Worker.py", line 84, in execute
    for ret in cmd.execute(self.really_delete):
  File "/usr/share/bleachbit/Command.py", line 146, in execute
    self.func(self.path)
  File "/usr/share/bleachbit/FileUtilities.py", line 739, in vacuum_sqlite3
    execute_sqlite3(path, 'vacuum')
  File "/usr/share/bleachbit/FileUtilities.py", line 300, in execute_sqlite3
    conn = sqlite3.connect(path)
OperationalError: unable to open database file

http://packages.ubuntu.com/search?keywords=Bleachbit&searchon=names&suite=trusty&section=all

Shows Trusty uses 1.01 not 1.10.

If you run:

sudo apt-get clean
sudo apt-get update
sudo apt-get --purge remove bleachbit
sudo apt-get --purge autoremove
sudo apt-get install bleachbit

You should then have the default bleachbit from the Ubuntu repository and not from some 3rd party source.

Andrew Ziem (ahziem1) said : #4

This is a known bug in BleachBit version 1.10 and earlier versions. I noticed it in the release notes: https://www.bleachbit.org/news/bleachbit-110

I recommend using the latest, which is BleachBit 1.10.

Andrew Ziem (ahziem1) said : #5

As I converted this question into a bug ticket, I propose closing the question ticket.

Andrew Ziem (ahziem1) said : #6

Patrick, do you use Google Chrome? Do you see this error if you uncheck all options, check Google Chrome - Vacuum, and run the cleaning operation?

Cipto Hadi (ciptohadi79) said : #7

@Andrew Ziem: i can confirm that the error appear if i check the vacuum option on Chrome

Andrew Ziem (ahziem1) said : #8

I identified the root cause and several options for workarounds. See the "Known Issues" section in the release notes: https://www.bleachbit.org/news/bleachbit-110

patrick (p-mac43) said : #9

Thanks that helped and the problem is solved

Sent from Mail for Windows 10

From: Andrew Ziem
Sent: 26 February 2016 17:32
To: <email address hidden>
Subject: Re: [Question #284652]: not sure what this is but get error messagein<bleachbit command function instance at 0x02acc4e0>

Your question #284652 on BleachBit changed:
https://answers.launchpad.net/bleachbit/+question/284652

Andrew Ziem proposed the following answer:
I identified the root cause and several options for workarounds. See the
"Known Issues" section in the release notes:
https://www.bleachbit.org/news/bleachbit-110

--
If this answers your question, please go to the following page to let us
know that it is solved:
https://answers.launchpad.net/bleachbit/+question/284652/+confirm?answer_id=7

If you still need help, you can reply to this email or go to the
following page to enter your feedback:
https://answers.launchpad.net/bleachbit/+question/284652

You received this question notification because you asked the question.

Andrew Ziem (ahziem1) said : #10

I am closed based on last reply "problem is solved"

Can you help with this problem?

Provide an answer of your own, or ask patrick for more information if necessary.

To post a message you must log in.